OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockInterface

    java.lang.Object
      org.opennms.netmgt.mock.MockElement
          org.opennms.netmgt.mock.MockContainer
              org.opennms.netmgt.mock.MockInterface

public class MockInterface
extends MockContainer

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.lang.String` `m_ifAlias`
`(package private) java.lang.String` `m_ipAddr`

Fields inherited from class org.opennms.netmgt.mock.MockContainer
``

Fields inherited from class org.opennms.netmgt.mock.MockElement
`m_parent`

Constructor Summary
`MockInterface(MockNode node, java.lang.String ipAddr)`

Method Summary
`MockService` `addService(java.lang.String svcName, int serviceId)`
`Event` `createDeleteEvent()`
`Event` `createDownEvent()`
`Event` `createUpEvent()`
`java.lang.String` `getIfAlias()`
`java.lang.String` `getIpAddr()`
`(package private) java.lang.Object` `getKey()`
`MockNetwork` `getNetwork()`
`MockNode` `getNode()`
`int` `getNodeId()`
`java.lang.String` `getNodeLabel()`
`int` `getPollStatus()`
`MockService` `getService(java.lang.String svcName)`
`java.util.List` `getServices()`
`void` `removeService(MockService svc)`
`void` `setIfAlias(java.lang.String ifAlias)`
`java.lang.String` `toString()`
`void` `visit(MockVisitor v)`

Methods inherited from class org.opennms.netmgt.mock.MockContainer
`addAnticipator, addMember, getMember, getMembers, getPollCount, removeAnticipator, removeMember, resetPollCount, visitMembers`

Methods inherited from class org.opennms.netmgt.mock.MockElement
`bringDown, bringUnresponsive, bringUp, createDownEvent, createUpEvent, getParent, moveTo, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ipAddr

    java.lang.String m_ipAddr

### m_ifAlias

    private java.lang.String m_ifAlias

Constructor Detail

### MockInterface

    public MockInterface(MockNode node,
                         java.lang.String ipAddr)

Method Detail

### addService

    public MockService addService(java.lang.String svcName,
                                  int serviceId)

### getIpAddr

    public java.lang.String getIpAddr()

### getKey

    java.lang.Object getKey()

  Specified by:
    `getKey` in class `MockElement`

### getNetwork

    public MockNetwork getNetwork()

  Overrides:
    `getNetwork` in class `MockElement`

### getNode

    public MockNode getNode()

### getNodeId

    public int getNodeId()

### getNodeLabel

    public java.lang.String getNodeLabel()

### getPollStatus

    public int getPollStatus()

  Overrides:
    `getPollStatus` in class `MockContainer`

### getService

    public MockService getService(java.lang.String svcName)

### getServices

    public java.util.List getServices()

### removeService

    public void removeService(MockService svc)

### toString

    public java.lang.String toString()

### visit

    public void visit(MockVisitor v)

  Overrides:
    `visit` in class `MockContainer`

### createDownEvent

    public Event createDownEvent()

  Specified by:
    `createDownEvent` in class `MockElement`
  Returns:

### createUpEvent

    public Event createUpEvent()

  Specified by:
    `createUpEvent` in class `MockElement`
  Returns:

### createDeleteEvent

    public Event createDeleteEvent()

  Specified by:
    `createDeleteEvent` in class `MockElement`

### setIfAlias

    public void setIfAlias(java.lang.String ifAlias)

### getIfAlias

    public java.lang.String getIfAlias()

  Returns:
    Returns the ifAlias.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.